LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-11-2021, 07:32 PM   #3811
Roman Dyaba
Member
 
Registered: Sep 2020
Location: Russia, 690016 Vladivostok city, street Osipenko home 66, tel: +79247350007
Distribution: Slackware, UbuntuStudio, FreeBSD
Posts: 110

Rep: Reputation: 12
Lightbulb I have now very good work SBopkg.org tool, at Slackware64-current clear install


Click image for larger version

Name:	Screenshot_20210512_100259.jpg
Views:	25
Size:	102.4 KB
ID:	36367


I have now very good work SBopkg.org tool, at Slackware64-current 5.10.35 kernel iso from alien, clear install,
and 5.12.3 kernel now work from testing. NOUVEAU kernel driver.

sbopkg -V SBo/14.2

i was try to build some games.

[/COLOR]

Last edited by Roman Dyaba; 05-15-2021 at 12:24 AM. Reason: text corrections to actual state
 
Old 05-12-2021, 12:40 AM   #3812
frtorres
Member
 
Registered: Jul 2012
Posts: 46

Rep: Reputation: Disabled
netdata not building

Hello Ponce.

I just installed 14.2-current as a server on Linode.

*** I did not use Linode Slackserver available image as I have read it is broken ***

I made a fresh and new install according to this Howto


Steps to reproduce:

0. Fresh install
1. I made my first

Code:
     slackpkg update 
     slackpkg install-new 
     slackpkg upgrade-all
2. I Installed sbopkg and patched sbopkg.conf to use Ponce Repo.

3. netdata is not building.

Code:
sbopkg -i netdata,
returns:

Code:
netdata-1.29.3/web/server/web_server.h
netdata.SlackBuild.build: line 91: /var/lib/sbopkg/SBo-git/system/netdata/9644483b6069bb474942df5afc1156968a99d7b2.patch: No such file or directory
Thanks ponce in advance for your help reviewing this.

Francisco.
 
Old 05-12-2021, 12:55 AM   #3813
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
hi Francisco,

it seems the netdata.SlackBuild refers a patch that is not available: try building it manually (without sbopkg) editing the netdata.SlackBuild file, commenting out/removing this line
Code:
patch -p1 < $CWD/9644483b6069bb474942df5afc1156968a99d7b2.patch

Last edited by ponce; 05-12-2021 at 01:23 AM.
 
Old 05-12-2021, 01:11 AM   #3814
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Roman Dyaba View Post
Attachment 36367


I have now very good work SBopkg.org tool, at Slackware64-current 5.10.35 kernel iso from alien, clear install,
and 5.12.0 kernel now work from testing. NOUVEAU kernel driver.

sbopkg -V ? -> 14.2 select

i was try to build some games.


Only GNUstep depend pkg's not build (warzone2100 vegastrike) !
GNUstep with error (line numb func not found in lib) !
if you are using current why you have select in sbopkg the 14.2 repository?

FWIW, gnustep-make and gnustep-base build fine here using the repository linked in the first post (there are instruction on how to set it up with sbopkg).

note also that this topic is only to report broken builds that impact everybody, please re-read the first post very carefully.
 
Old 05-12-2021, 01:23 AM   #3815
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by enine View Post
viking now needs the
Code:
CFLAGS="$SLKCFLAGS -w -Wl,--allow-multiple-definition" \
as it now fails with the gcc update
Thanks a lot, pushed in my git branch!
 
Old 05-12-2021, 03:27 AM   #3816
Roman Dyaba
Member
 
Registered: Sep 2020
Location: Russia, 690016 Vladivostok city, street Osipenko home 66, tel: +79247350007
Distribution: Slackware, UbuntuStudio, FreeBSD
Posts: 110

Rep: Reputation: 12
Talking

Quote:
Originally Posted by ponce View Post
if you are using current why you have select in sbopkg the 14.2 repository?

FWIW, gnustep-make and gnustep-base build fine here using the repository linked in the first post (there are instruction on how to set it up with sbopkg).

note also that this topic is only to report broken builds that impact everybody, please re-read the first post very carefully.
It is simple:
it report about default clear installation Slackware64-current and with 5.12.0 kernel
Who have now it, and was testing ?
Example : yesterday i was have installed FreeBSD 10.3 up to 13.0-RELEASE and ALL ports pkg's was build w/out occlusions.

Once again: See screen shot, poroblemo in only one - GNUstep pkg.

Last edited by Roman Dyaba; 05-12-2021 at 03:32 AM. Reason: add text
 
Old 05-12-2021, 03:30 AM   #3817
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Roman Dyaba View Post
[I]It is simple:
it report about default clear installation Slackware64-current and with 5.12.0 kernel
Who have now it, and was testing ?
but another precondition is to use the repository linked in the first post and you are you are using the wrong one instead...
 
Old 05-12-2021, 03:42 AM   #3818
Roman Dyaba
Member
 
Registered: Sep 2020
Location: Russia, 690016 Vladivostok city, street Osipenko home 66, tel: +79247350007
Distribution: Slackware, UbuntuStudio, FreeBSD
Posts: 110

Rep: Reputation: 12
Lightbulb For 14.2 work fine !

Quote:
Originally Posted by ponce View Post
but another precondition is to use the repository linked in the first post and you are you are using the wrong one instead...
Click image for larger version

Name:	Screenshot_20210512_183837.png
Views:	15
Size:	157.0 KB
ID:	36370

Really difficult. Who was close (?) -current sbo repo ? For 14.2 work fine !
And report about this !


Click image for larger version

Name:	Screenshot_20210512_185534.jpg
Views:	16
Size:	81.3 KB
ID:	36371

sbopkg -V SBo/14.2
ILLUSTRATION:
NEXUIZ game was compiled at Slackware64-current 5.12.0 Linux kernel with NOUVEAU video drivers, now work !
SBopkg 14.2 pero selection.


Click image for larger version

Name:	Screenshot_20210512_192226.png
Views:	9
Size:	235.5 KB
ID:	36372

sudo ln -s /lib64/libssl.so.1.1 /lib64/libssl.so.1.0.0
sudo ln -s /lib64/libcrypto.so.1.1 /lib64/libcrypto.so.1.0.0

eagle

eagle was start and second run with error:
"eagle: symbol lookup error: eagle: undefined symbol: CRYPTO_num_locks" !

Click image for larger version

Name:	Screenshot_20210512_203436.png
Views:	10
Size:	125.9 KB
ID:	36373

eagle 9.6.2 instead of outdated (no bug)

Click image for larger version

Name:	Screenshot_20210512_205513.jpg
Views:	8
Size:	82.3 KB
ID:	36374
but must NVIDIA drivers, was crash at start
" eagle: ../nouveau/pushbuf.c:723: nouveau_pushbuf_data: Assertion `kref' failed.
Aborted " .

Last edited by Roman Dyaba; 05-12-2021 at 05:59 AM. Reason: add text
 
Old 05-12-2021, 04:21 AM   #3819
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Roman, the answer you are looking for (how to configure sbopkg to point at the unofficial repository for current) is in the first post of this topic (at the bottom): after telling you three times I sincerely don't know what more to do.
good luck!
 
Old 05-12-2021, 06:04 AM   #3820
Roman Dyaba
Member
 
Registered: Sep 2020
Location: Russia, 690016 Vladivostok city, street Osipenko home 66, tel: +79247350007
Distribution: Slackware, UbuntuStudio, FreeBSD
Posts: 110

Rep: Reputation: 12
Quote:
Originally Posted by ponce View Post
Roman, the answer you are looking for (how to configure sbopkg to point at the unofficial repository for current) is in the first post of this topic (at the bottom): after telling you three times I sincerely don't know what more to do.
good luck!
I continue to test !
 
Old 05-12-2021, 06:07 AM   #3821
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Roman Dyaba View Post
I continue to test !
but don't report in this topic, please: open a new one!
 
Old 05-12-2021, 09:36 AM   #3822
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 4,309

Rep: Reputation: 1513Reputation: 1513Reputation: 1513Reputation: 1513Reputation: 1513Reputation: 1513Reputation: 1513Reputation: 1513Reputation: 1513Reputation: 1513Reputation: 1513
Quote:
Originally Posted by frtorres View Post
3. netdata is not building.
Hi, i'm sorry for this mistake
i have fixed it on my branch which will be merged to master soon
but in the meantime, you can see the changes here https://git.slackbuilds.org/slackbui...03fb8c1244ea18
 
Old 05-12-2021, 01:26 PM   #3823
sombragris
Member
 
Registered: Jul 2004
Location: Asuncion, Paraguay, South America
Distribution: Slackware
Posts: 651

Rep: Reputation: 317Reputation: 317Reputation: 317Reputation: 317
Given the special status we're now, with a release looming, should we report issues affecting both stable and current branches here, or should we keep using the mailing list for issues valid for stable?
 
Old 05-12-2021, 01:38 PM   #3824
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 6,168

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by sombragris View Post
Given the special status we're now, with a release looming, should we report issues affecting both stable and current branches here, or should we keep using the mailing list for issues valid for stable?
keep using the mailing list for issues that are affecting 14.2 only.
report here only issues affecting current/15.0 with SBo's git master branch or the unofficial repository (but *NOT* if using current with the 14.2 repository), it doesn't matter if they are present also on 14.2.
also, as the weekly updates of the 14.2 repository has now stopped, you can also report issues affecting current/15.0 with SBo's git master branch on the mailing list too.
 
Old 05-12-2021, 09:47 PM   #3825
frtorres
Member
 
Registered: Jul 2012
Posts: 46

Rep: Reputation: Disabled
Thumbs up

Quote:
Originally Posted by ponce View Post
hi Francisco,

it seems the netdata.SlackBuild refers a patch that is not available: try building it manually (without sbopkg) editing the netdata.SlackBuild file, commenting out/removing this line
Code:
patch -p1 < $CWD/9644483b6069bb474942df5afc1156968a99d7b2.patch
Thanks Ponce.

I built it manually as suggested. All was ok.

How important is that patch? Unfortunately there is no enough information about it. I feel it is important...
Thanks for your help Ponce.

Francisco.
 
  


Reply

Tags
current, sbo, sbopkg, slackrepo


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Error building gst1-plugins-good 1.4.1 from SBO l0rddarkf0rce Slackware 4 10-06-2014 05:58 PM
[SOLVED] Failure building nvidia-kernel Slackbuild from SBo sysfce2 Slackware 7 07-02-2011 01:10 AM
problems building fontforge from SBo gtludwig Slackware 7 05-12-2010 01:52 PM
Pls help me take my 1st step! verysoon Fedora - Installation 2 12-12-2005 07:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:58 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration